<?php
/**
 * @file
 * This module provides the feed reading functionality.
 */

/**
 * Security key configuration form.
 */
function _policia_banner_form($form, &$form_state) {
  $form['image_banner_noticias_fid'] = array(
	  '#title' => 'Banner noticias',
	  '#type' => 'managed_file',
	  '#description' => t('Banner principal de noticias'),
	  '#default_value' => variable_get('banner_noticias_fid', ''),
	  '#upload_location' => 'public://',
	);
	$form['youtube_policia'] = array(
	  '#type' => 'textfield', 
	  '#title' => t('Youtube'), 
	  '#default_value' => variable_get('youtube_policia', ''),
	  '#size' => 60, 
	  '#maxlength' => 128, 
	  '#description' => t('Colocar embed de youtube Ejemplo: "https://www.youtube.com/embed/hTuqIG3fhFI", este se encuentra en compartir > Insertar > src, NOTA: si se deja en blanco se actualiza con el canal de policia de youtube'),
	);
	$form['iframe_policia'] = array(
		'#title' => t('Iframe personalizado'),
		'#type' => 'textarea',
		'#description' => 'Se debe colocar un iframe con las siguientes medidas 540x380, el iframe predomina sobre el video de youtube',
		'#default_value' => variable_get('iframe_policia', '')
	);

	$form['imagen_incorporaciones'] = array( 
	  '#title' => t('Miniatura incorporaciones'), 
	  '#type' => 'managed_file',
	  '#description' => t('Imagen del menu incorporaciones'),
	  '#default_value' => variable_get('imagen_incorporaciones', ''),
	  '#upload_location' => 'public://',
	);
	$form['imagen_heroes'] = array( 
	  '#title' => t('Banner escalafon heroes'), 
	  '#type' => 'managed_file',
	  '#description' => t('Banner seccion escalafon de heroes'),
	  '#default_value' => variable_get('imagen_escalafon_heroes', ''),
	  '#upload_location' => 'public://',
	);
  $form = system_settings_form($form);
	$form['#submit'][] = '_policia_banner_form_submit';
	return $form;
}


function _policia_banner_form_submit($form, &$form_state) {
	global $user;
	if ($form_state['values']['image_banner_noticias_fid']) {
		$file = file_load($form_state['values']['image_banner_noticias_fid']);
		if ($file) {
			$file->status = FILE_STATUS_PERMANENT;
			file_save($file);
			variable_set('banner_noticias_fid', $file->fid);
			file_usage_add($file, 'user', 'user', $user->uid);
		}
	}else {
		$file = file_load(variable_get('banner_noticias_fid', ''));
		if ($file->fid){
			file_delete($file, TRUE);
		}
	}
	if (isset($form_state['values']['youtube_policia'])) {
		variable_set('youtube_policia', $form_state['values']['youtube_policia']);
	}
	if (isset($form_state['values']['iframe_policia'])) {
		variable_set('iframe_policia', $form_state['values']['iframe_policia']);
	}
	if ($form_state['values']['imagen_incorporaciones']) {
		$file = file_load($form_state['values']['imagen_incorporaciones']);
		if ($file) {
			$file->status = FILE_STATUS_PERMANENT;
			file_save($file);
			variable_set('imagen_incorporaciones', $file->fid);
			file_usage_add($file, 'user', 'user', $user->uid);
		}
	}else {
		$file = file_load(variable_get('imagen_incorporaciones', ''));
		if ($file->fid){
			file_delete($file, TRUE);
		}
	}
	if ($form_state['values']['imagen_heroes']) {
		$file = file_load($form_state['values']['imagen_heroes']);
		if ($file) {
			$file->status = FILE_STATUS_PERMANENT;
			file_save($file);
			variable_set('imagen_escalafon_heroes', $file->fid);
			file_usage_add($file, 'user', 'user', $user->uid);
		}
	}else {
		$file = file_load(variable_get('imagen_escalafon_heroes', ''));
		if ($file->fid){
			file_delete($file, TRUE);
		}
	}
}
